# Accounting Projects Accounting Projects ## Gets all of the accounting projects in the system. - [GET /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/listaccountingprojects.md): This method will scan all accounting projects and and return them to the caller. ## Creates a new accounting project record that does not already exist. - [POST /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/createaccountingproject.md): This method will auto-generate an ID and create a new accounting project. If an ID is specified for the accounting project, an error will be thrown. ## Execute Batch Operations - [POST /accountingProjects/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a accounting project from the system by its ID. - [DELETE /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/deleteaccountingproject.md): This method will delete a accounting project with the specified ID. ## Returns a accounting project from the system by its ID. - [GET /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/getaccountingproject.md): This method will look up a accounting project by the specified ID and return it back. ## Partially updates a accounting project with the specified ID. - [PATCH /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/patchaccountingproject.md): This method will patch an existing accounting project with the specified ID, using the HTTP PATCH specification. ## Updates a accounting project with the specified ID. - [PUT /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/updateaccountingproject.md): This method will update an existing accounting project with the specified ID.